This file is part of MXE. See LICENSE.md for licensing information.

Contains ad hoc patches for cross building.

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Tony Theodore <tonyt@logyst.com>
Date: Sun, 19 Jan 2020 13:27:42 +1100
Subject: [PATCH 1/4] fixes


diff --git a/installerfw.pro b/installerfw.pro
index 1111111..2222222 100644
--- a/installerfw.pro
+++ b/installerfw.pro
@@ -2,8 +2,6 @@ TEMPLATE = subdirs
 SUBDIRS += src tools doc
 tools.depends = src
 
-requires(!cross_compile)
-
 include (installerfw.pri)
 
 BUILD_TESTS = $$(BUILDTESTS)
diff --git a/src/libs/3rdparty/7zip/win/CPP/Windows/SecurityUtils.h b/src/libs/3rdparty/7zip/win/CPP/Windows/SecurityUtils.h
index 1111111..2222222 100644
--- a/src/libs/3rdparty/7zip/win/CPP/Windows/SecurityUtils.h
+++ b/src/libs/3rdparty/7zip/win/CPP/Windows/SecurityUtils.h
@@ -3,7 +3,7 @@
 #ifndef __WINDOWS_SECURITY_UTILS_H
 #define __WINDOWS_SECURITY_UTILS_H
 
-#include <NTSecAPI.h>
+#include <ntsecapi.h>
 
 #include "Defs.h"
 
diff --git a/src/libs/installer/binaryformat.h b/src/libs/installer/binaryformat.h
index 1111111..2222222 100644
--- a/src/libs/installer/binaryformat.h
+++ b/src/libs/installer/binaryformat.h
@@ -33,7 +33,7 @@
 #include "range.h"
 
 #include <QCoreApplication>
-#include <QtCore/private/qfsfileengine_p.h>
+#include <QtCore/QFile>
 #include <QList>
 #include <QSharedPointer>
 
@@ -81,7 +81,7 @@ private:
     void setOpenMode(OpenMode mode) { QIODevice::setOpenMode(mode); }
 
 private:
-    QFSFileEngine m_file;
+    QFile m_file;
     QByteArray m_name;
     Range<qint64> m_segment;
 };
diff --git a/src/libs/installer/createshortcutoperation.cpp b/src/libs/installer/createshortcutoperation.cpp
index 1111111..2222222 100644
--- a/src/libs/installer/createshortcutoperation.cpp
+++ b/src/libs/installer/createshortcutoperation.cpp
@@ -48,7 +48,7 @@ using namespace QInstaller;
 #ifdef Q_OS_WIN
 #include <qt_windows.h>
 #include <shlobj.h>
-#include <Intshcut.h>
+#include <intshcut.h>
 
 #ifndef PIDLIST_ABSOLUTE
 typedef ITEMIDLIST *PIDLIST_ABSOLUTE;
diff --git a/src/libs/installer/extractarchiveoperation_p.h b/src/libs/installer/extractarchiveoperation_p.h
index 1111111..2222222 100644
--- a/src/libs/installer/extractarchiveoperation_p.h
+++ b/src/libs/installer/extractarchiveoperation_p.h
@@ -41,6 +41,8 @@
 
 #include <QRunnable>
 #include <QThread>
+#include <QFileInfo>
+#include <QDir>
 
 namespace QInstaller {
 

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Mark Brand <mabrand@mabrand.nl>
Date: Fri, 4 Mar 2022 10:12:57 +0100
Subject: [PATCH 2/4] add missing includes


diff --git a/src/libs/ifwtools/binarycreator.h b/src/libs/ifwtools/binarycreator.h
index 1111111..2222222 100644
--- a/src/libs/ifwtools/binarycreator.h
+++ b/src/libs/ifwtools/binarycreator.h
@@ -38,7 +38,9 @@
 #include <abstractarchive.h>
 
 #include <QtCore/QString>
+#include <QtCore/QDir>
 #include <QtCore/QFile>
+#include <QtCore/QFileInfo>
 
 namespace QInstallerTools {
 

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Mark Brand <mabrand@mabrand.nl>
Date: Fri, 4 Mar 2022 10:31:08 +0100
Subject: [PATCH 3/4] build fix: don't redefine mode_t under MINGW


diff --git a/src/libs/installer/abstractarchive.h b/src/libs/installer/abstractarchive.h
index 1111111..2222222 100644
--- a/src/libs/installer/abstractarchive.h
+++ b/src/libs/installer/abstractarchive.h
@@ -36,7 +36,7 @@
 #include <QDataStream>
 #include <QPoint>
 
-#ifdef Q_OS_WIN
+#if defined(Q_OS_WIN) && !defined(__MINGW32__) && !defined(__MINGW64__)
 typedef int mode_t;
 #endif
 

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Mark Brand <mabrand@mabrand.nl>
Date: Fri, 4 Mar 2022 10:39:28 +0100
Subject: [PATCH 4/4] include missing windows.h


diff --git a/src/sdk/main.cpp b/src/sdk/main.cpp
index 1111111..2222222 100644
--- a/src/sdk/main.cpp
+++ b/src/sdk/main.cpp
@@ -58,6 +58,10 @@
 #  include <sys/types.h>
 #endif
 
+#if defined(Q_OS_WIN)
+#  include <windows.h>
+#endif
+
 #define QUOTE_(x) #x
 #define QUOTE(x) QUOTE_(x)
 #define VERSION "IFW Version: " QUOTE(IFW_VERSION_STR) ", built with Qt " QT_VERSION_STR "."
